GNU bug report logs - #46643
[PATCH 1/3] gnu: ghc-protolude: Update to 0.3.0.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Stefan Reichör <stefan@HIDDEN>; Keywords: patch; merged with #46644, #46645; Done: Léo Le Bouter <lle-bout@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 46643 <at> debbugs.gnu.org:


Received: (at 46643) by debbugs.gnu.org; 24 Feb 2021 17:00:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 24 12:00:28 2021
Received: from localhost ([127.0.0.1]:35762 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lExWW-0005tJ-BR
	for submit <at> debbugs.gnu.org; Wed, 24 Feb 2021 12:00:28 -0500
Received: from mail.zaclys.net ([178.33.93.72]:55877)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lle-bout@HIDDEN>) id 1lExWU-0005lo-0S
 for 46643 <at> debbugs.gnu.org; Wed, 24 Feb 2021 12:00:26 -0500
Received: from guix-xps.local (lsl43-1_migr-78-195-19-20.fbx.proxad.net
 [78.195.19.20] (may be forged)) (authenticated bits=0)
 by mail.zaclys.net (8.14.7/8.14.7) with ESMTP id 11OH0JUg039794
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NO);
 Wed, 24 Feb 2021 18:00:19 +0100
DMARC-Filter: OpenDMARC Filter v1.3.2 mail.zaclys.net 11OH0JUg039794
Authentication-Results: mail.zaclys.net;
 dmarc=fail (p=reject dis=none) header.from=zaclys.net
Authentication-Results: mail.zaclys.net;
 spf=fail smtp.mailfrom=lle-bout@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=zaclys.net;
 s=default; t=1614186019;
 bh=i8qZ5AZDJPMqr/0hszj/3n5NJzFPNk5pbwcc1cgJazs=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References:From;
 b=MmefqIM4uaeyJMmOJVE03Yv2kikz1/arXP8Nmtf2xDHShEewMAxo1QQZvFlIw8G5M
 8Ydd3RCbYNys9AEvXm7S+S5dLkctT5m0ZWNgpOLg2Vcu9cQSVHm5OSWBw9M6hrSYUJ
 NQBlg9KxCxVT3T9x8a3OVFs5BbjTB0n93QEXay0E=
Message-ID: <3f58e4c2479d81ac22aa4e591910240bed8fde21.camel@HIDDEN>
Subject: Re: bug#46643:
From: =?ISO-8859-1?Q?L=E9o?= Le Bouter <lle-bout@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>, 46643 <at> debbugs.gnu.org, stefan@HIDDEN
Date: Wed, 24 Feb 2021 18:00:18 +0100
In-Reply-To: <CAJ3okZ2bLzq+wiqL_sbDFhXr0oxM8bDzozb7Y7mx2RtwGYJqvg@HIDDEN>
References: <20210219200427.105200-1-stefan@HIDDEN>
 <1fb2ba44f701f4bf10876deb73a3d45cb4b53e9b.camel@HIDDEN>
 <CAJ3okZ2bLzq+wiqL_sbDFhXr0oxM8bDzozb7Y7mx2RtwGYJqvg@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-n6rjbCSYD7N+UrSqIiro"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46643
Cc: 46643 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-n6rjbCSYD7N+UrSqIiro
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

On Wed, 2021-02-24 at 16:40 +0100, zimoun wrote:
> Hi L=C3=A9o,

Hello! :-)

> If greenclip cannot be built with ghc-protolude@HIDDEN, please let the
> "define-public ghc-protolude" at 0.2.3 and instead define
> ghc-protolude-0.3.  As it is done for ghc-atomic-write or
> ghc-generic-random or ghc-prettyprinter or ghc-repline.

I see, pushed 6bea71afac702fcab9fb420daa30aec95652e1a0 to hopefully fix
these concerns. Will keep in mind!

What about ghc-wordexp? Is the version on LTS channel? I couldnt find
much about that online (not very at ease with Stackage).

Thank you!

--=-n6rjbCSYD7N+UrSqIiro
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEFIvLi9gL+xax3g6RRaix6GvNEKYFAmA2hiIACgkQRaix6GvN
EKbOOQ//Zv4h3NHqwR2cqAyuz6jJiJOj53SBc7zvaZIuoL4sYHZsJ9Vnko6oaXiH
TSbAHeBbd/baDcLvPBK/7mC4zBt6/fLJmsYzb1hlWg89r92Q421p7Ibl5sv7Yq7J
TAgGd+zWICIcImJkdhf0d1n5su/Ic1JQbaspnZ1iNTecvzkVdvmWMe2/BpoQPVsn
Q/nf/sWqtyfByBkacqLHfUM1jdWTh9h1ESP/IdqR9HDHHdyXoT+FfMaBFNL7bF+H
h3f/SI81Zo9+MSBZja9o9dTBPUn5IK1ZdG77s+ZAjeKpUe0RZO/WltFH0LcHuoFe
hJMUIgyqSY7TvUQUxtvrplXhNU7NEDAuAaS+03om3F5YUdzIJUs60OstqCvCixTv
0xg541Ox+RU+3B4OwyQ6FCGhc7hMgqv9S7rAuqy9C5zPRwfXIAt0JRvnvFiLU8KP
qzFHRlN2Qotq/s5y8NZEaa6TM7pD9uDQLb0Y2KVcul8KEQVf2KwXX1qCVVaNvFJs
+pTX79RH+Q6O5/5j5nm3dLXIIC1TlRg2kL4adWB2bILZeCt6q7ol0GQabITnMDwM
3HwKruIC1B2Mo0+ndApiU5apJUQdMpz1Q5uBCa/jltYPWhjVVmRPHWv1UJDVCTLz
whgofTsU0lCUSGUKSeW6RT5AuzCuByH6IzHj1CP3MVkKoHuEEqs=
=dVio
-----END PGP SIGNATURE-----

--=-n6rjbCSYD7N+UrSqIiro--





Information forwarded to guix-patches@HIDDEN:
bug#46643; Package guix-patches. Full text available.

Message received at 46643-done <at> debbugs.gnu.org:


Received: (at 46643-done) by debbugs.gnu.org; 24 Feb 2021 15:41:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 24 10:41:09 2021
Received: from localhost ([127.0.0.1]:35510 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lEwHk-0007ZC-Uu
	for submit <at> debbugs.gnu.org; Wed, 24 Feb 2021 10:41:09 -0500
Received: from mail-qk1-f171.google.com ([209.85.222.171]:37570)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>)
 id 1lEwHj-0007Yw-R4; Wed, 24 Feb 2021 10:41:08 -0500
Received: by mail-qk1-f171.google.com with SMTP id n28so993607qkk.4;
 Wed, 24 Feb 2021 07:41:07 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=xkp8o9y3Xc4mUvjyUgrLclGV61chjCQuWwKJSV5qVZg=;
 b=fxd0CsAX7RUgRFmEUTC1j34hN33Zd/qUJ+AhVjpakUuitcwNp/pKErU15EOVvqfl2x
 hvdD8ue2/B6Y9rxpgT/T/usjcao7d5kktoNFlY1CGPXVsgpWFVgEHPEemw8R3d8Ta5YL
 Qla4rmxHVmqABBIRV34HDzCwFU5Atez24W1hoDciBJqQ9uwA644QI7BRx6db3JYAFI5x
 ApZKY36/rrB9tvjiqUuqMUiAwLO5xukcCHFEGDbE+M3dTQEkDaAcSEDXsHYmAyC33fGE
 9v+7LcMXu1QchxbR90O7womgwD7ULQHZoT0oTkmV+nWe7DzIWA4pg8csEmdjicO0QJVN
 w63Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=xkp8o9y3Xc4mUvjyUgrLclGV61chjCQuWwKJSV5qVZg=;
 b=IRtvu27y1EX+R/SdRp3XuvlkqJYjTZcvEpF05In30Ub08l9xxY66Zsd/zfyoPBcRPL
 Vpc96lX+FsCqM6gPHp5B2jjc7y5xIpDVtAULKTiIm5XJB4SuCmiEA0VrLm0tiA5UNz43
 A/fFaIssehOWPVJ7JGA7sval3tDZqs7K65voU0daafPSrHf8VILz3sHy2AltcAgLtr7j
 DjIyEzsMcYUMxiJLq67TysjSCyqfdH6/XOn6HeDr++eoEdWAG6uslFgDOcq+zpr88F+y
 0jdmPGZoVVWTqMIYZn85UPJ8GUuZX/m5GHZ0OxIMWQEK3VdV7pcmuwcwodltDq8qZPzi
 5ASw==
X-Gm-Message-State: AOAM533qNrmySLfzTBp9mNRzTZkWEQXrJ39j9iQDzzPRqJuB59HwfdRN
 4zU6iLdgHfCYjDSnyk6mpLN+T/l1eDOSeL2q6Cw=
X-Google-Smtp-Source: ABdhPJy+da5QsLrtQcwiA0YPnwf19+Nn/qazTn1W2j4faqOvR0PzLjkyjaM9RPVHF0Ra2ZfPvtSnmNGVbJigMwlI+yM=
X-Received: by 2002:a05:620a:908:: with SMTP id
 v8mr32488176qkv.201.1614181262228; 
 Wed, 24 Feb 2021 07:41:02 -0800 (PST)
MIME-Version: 1.0
References: <20210219200427.105200-1-stefan@HIDDEN>
 <1fb2ba44f701f4bf10876deb73a3d45cb4b53e9b.camel@HIDDEN>
In-Reply-To: <1fb2ba44f701f4bf10876deb73a3d45cb4b53e9b.camel@HIDDEN>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Wed, 24 Feb 2021 16:40:50 +0100
Message-ID: <CAJ3okZ2bLzq+wiqL_sbDFhXr0oxM8bDzozb7Y7mx2RtwGYJqvg@HIDDEN>
Subject: Re: bug#46643:
To: =?UTF-8?Q?L=C3=A9o_Le_Bouter?= <lle-bout@HIDDEN>, 
 46643 <at> debbugs.gnu.org, stefan@HIDDEN
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46643-done
Cc: 46643-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi L=C3=A9o,

On Wed, 24 Feb 2021 at 15:28, L=C3=A9o Le Bouter via Guix-patches via
<guix-patches@HIDDEN> wrote:

> Also, your upgrade of ghc-protolude broke the purescript build which
> depends on ghc-protolude<0.2.4 so I created a secondary ghc-protolude-
> 0.2 package that purescript now depends on.

Usually, IIUC, the Haskell packages follows one LTS.  And there are
updated in one go to avoid the Cabal Hell.  Well, the current
%default-lts-version is 14.27 which has protolude at 0.2.3 [1].  LTS
14.27 supports GHC 8.6 which is the default current ghc in Guix.
Using LTS 17.4 seems a bad idea since it supports GHC 8.10 which is
not yet included in Guix.  Therefore, ghc-protolude should not be
updated and ghc-protolude-0.2 should not be added, neither.  Or I am
missing something.  Except corner cases, please keep the Haskell
packages consistent with one LTS.  The linter should warn about this
but it does not; I have not investigated why.

If greenclip cannot be built with ghc-protolude@HIDDEN, please let the
"define-public ghc-protolude" at 0.2.3 and instead define
ghc-protolude-0.3.  As it is done for ghc-atomic-write or
ghc-generic-random or ghc-prettyprinter or ghc-repline.

Thanks,
simon

1: <https://www.stackage.org/lts-14.27/package/protolude-0.2.3>




Information forwarded to guix-patches@HIDDEN:
bug#46643; Package guix-patches. Full text available.

Message received at 46643 <at> debbugs.gnu.org:


Received: (at 46643) by debbugs.gnu.org; 24 Feb 2021 15:41:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 24 10:41:08 2021
Received: from localhost ([127.0.0.1]:35508 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lEwHk-0007ZA-MR
	for submit <at> debbugs.gnu.org; Wed, 24 Feb 2021 10:41:08 -0500
Received: from mail-qk1-f171.google.com ([209.85.222.171]:37570)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>)
 id 1lEwHj-0007Yw-R4; Wed, 24 Feb 2021 10:41:08 -0500
Received: by mail-qk1-f171.google.com with SMTP id n28so993607qkk.4;
 Wed, 24 Feb 2021 07:41:07 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=xkp8o9y3Xc4mUvjyUgrLclGV61chjCQuWwKJSV5qVZg=;
 b=fxd0CsAX7RUgRFmEUTC1j34hN33Zd/qUJ+AhVjpakUuitcwNp/pKErU15EOVvqfl2x
 hvdD8ue2/B6Y9rxpgT/T/usjcao7d5kktoNFlY1CGPXVsgpWFVgEHPEemw8R3d8Ta5YL
 Qla4rmxHVmqABBIRV34HDzCwFU5Atez24W1hoDciBJqQ9uwA644QI7BRx6db3JYAFI5x
 ApZKY36/rrB9tvjiqUuqMUiAwLO5xukcCHFEGDbE+M3dTQEkDaAcSEDXsHYmAyC33fGE
 9v+7LcMXu1QchxbR90O7womgwD7ULQHZoT0oTkmV+nWe7DzIWA4pg8csEmdjicO0QJVN
 w63Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=xkp8o9y3Xc4mUvjyUgrLclGV61chjCQuWwKJSV5qVZg=;
 b=IRtvu27y1EX+R/SdRp3XuvlkqJYjTZcvEpF05In30Ub08l9xxY66Zsd/zfyoPBcRPL
 Vpc96lX+FsCqM6gPHp5B2jjc7y5xIpDVtAULKTiIm5XJB4SuCmiEA0VrLm0tiA5UNz43
 A/fFaIssehOWPVJ7JGA7sval3tDZqs7K65voU0daafPSrHf8VILz3sHy2AltcAgLtr7j
 DjIyEzsMcYUMxiJLq67TysjSCyqfdH6/XOn6HeDr++eoEdWAG6uslFgDOcq+zpr88F+y
 0jdmPGZoVVWTqMIYZn85UPJ8GUuZX/m5GHZ0OxIMWQEK3VdV7pcmuwcwodltDq8qZPzi
 5ASw==
X-Gm-Message-State: AOAM533qNrmySLfzTBp9mNRzTZkWEQXrJ39j9iQDzzPRqJuB59HwfdRN
 4zU6iLdgHfCYjDSnyk6mpLN+T/l1eDOSeL2q6Cw=
X-Google-Smtp-Source: ABdhPJy+da5QsLrtQcwiA0YPnwf19+Nn/qazTn1W2j4faqOvR0PzLjkyjaM9RPVHF0Ra2ZfPvtSnmNGVbJigMwlI+yM=
X-Received: by 2002:a05:620a:908:: with SMTP id
 v8mr32488176qkv.201.1614181262228; 
 Wed, 24 Feb 2021 07:41:02 -0800 (PST)
MIME-Version: 1.0
References: <20210219200427.105200-1-stefan@HIDDEN>
 <1fb2ba44f701f4bf10876deb73a3d45cb4b53e9b.camel@HIDDEN>
In-Reply-To: <1fb2ba44f701f4bf10876deb73a3d45cb4b53e9b.camel@HIDDEN>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Wed, 24 Feb 2021 16:40:50 +0100
Message-ID: <CAJ3okZ2bLzq+wiqL_sbDFhXr0oxM8bDzozb7Y7mx2RtwGYJqvg@HIDDEN>
Subject: Re: bug#46643:
To: =?UTF-8?Q?L=C3=A9o_Le_Bouter?= <lle-bout@HIDDEN>, 
 46643 <at> debbugs.gnu.org, stefan@HIDDEN
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46643
Cc: 46643-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi L=C3=A9o,

On Wed, 24 Feb 2021 at 15:28, L=C3=A9o Le Bouter via Guix-patches via
<guix-patches@HIDDEN> wrote:

> Also, your upgrade of ghc-protolude broke the purescript build which
> depends on ghc-protolude<0.2.4 so I created a secondary ghc-protolude-
> 0.2 package that purescript now depends on.

Usually, IIUC, the Haskell packages follows one LTS.  And there are
updated in one go to avoid the Cabal Hell.  Well, the current
%default-lts-version is 14.27 which has protolude at 0.2.3 [1].  LTS
14.27 supports GHC 8.6 which is the default current ghc in Guix.
Using LTS 17.4 seems a bad idea since it supports GHC 8.10 which is
not yet included in Guix.  Therefore, ghc-protolude should not be
updated and ghc-protolude-0.2 should not be added, neither.  Or I am
missing something.  Except corner cases, please keep the Haskell
packages consistent with one LTS.  The linter should warn about this
but it does not; I have not investigated why.

If greenclip cannot be built with ghc-protolude@HIDDEN, please let the
"define-public ghc-protolude" at 0.2.3 and instead define
ghc-protolude-0.3.  As it is done for ghc-atomic-write or
ghc-generic-random or ghc-prettyprinter or ghc-repline.

Thanks,
simon

1: <https://www.stackage.org/lts-14.27/package/protolude-0.2.3>




Information forwarded to guix-patches@HIDDEN:
bug#46643; Package guix-patches. Full text available.

Message received at 46643-done <at> debbugs.gnu.org:


Received: (at 46643-done) by debbugs.gnu.org; 24 Feb 2021 14:27:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 24 09:27:58 2021
Received: from localhost ([127.0.0.1]:33947 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lEv8w-0005Nz-Av
	for submit <at> debbugs.gnu.org; Wed, 24 Feb 2021 09:27:58 -0500
Received: from mail.zaclys.net ([178.33.93.72]:44999)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lle-bout@HIDDEN>) id 1lEv8t-0005NX-3E
 for 46643-done <at> debbugs.gnu.org; Wed, 24 Feb 2021 09:27:56 -0500
Received: from guix-xps.local (37-169-50-198.coucou-networks.fr
 [37.169.50.198] (may be forged)) (authenticated bits=0)
 by mail.zaclys.net (8.14.7/8.14.7) with ESMTP id 11OERlOd016099
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NO)
 for <46643-done <at> debbugs.gnu.org>; Wed, 24 Feb 2021 15:27:48 +0100
DMARC-Filter: OpenDMARC Filter v1.3.2 mail.zaclys.net 11OERlOd016099
Authentication-Results: mail.zaclys.net;
 dmarc=fail (p=reject dis=none) header.from=zaclys.net
Authentication-Results: mail.zaclys.net;
 spf=fail smtp.mailfrom=lle-bout@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=zaclys.net;
 s=default; t=1614176868;
 bh=nlV+Ijw3IhbpLsUR/QNbeO94fPpem0PIeXF9JTVCTpM=;
 h=Subject:From:To:Date:From;
 b=c1dMphCPdWVMvirLp+ksJxrBvfpI8/CxbW3ujEKZYrAMt1rJI6MDfJ1oz3BV83j/6
 PmVsG14y21fa6kfnsm3l6YdgEWDYx6ghGVAT5pfpnTu12OQDup70jLNOve2LeGZf6Q
 6DZNV9Nes+KCkT2mkNdJoyNlqSkluLk2UFRoQTKc=
Message-ID: <1fb2ba44f701f4bf10876deb73a3d45cb4b53e9b.camel@HIDDEN>
Subject: 
From: =?ISO-8859-1?Q?L=E9o?= Le Bouter <lle-bout@HIDDEN>
To: 46643-done <at> debbugs.gnu.org
Date: Wed, 24 Feb 2021 15:27:43 +0100
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-WpNiIgXYh7P9XI3BFMOO"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Pushed all patches in
 a1386815503036773a1092554f36d45dd9361efe.
 It seems the licenses for ghc-wordexp and greenclip is BSD-3-Clause from
 <https://hackage.haskell.org/package/wordexp> and <
 https://hackage.haskell.org/package/greenclip>.
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 BLANK_SUBJECT          Subject is present but empty
X-Debbugs-Envelope-To: 46643-done
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)


--=-WpNiIgXYh7P9XI3BFMOO
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Pushed all patches in a1386815503036773a1092554f36d45dd9361efe.

It seems the licenses for ghc-wordexp and greenclip is BSD-3-Clause
from <https://hackage.haskell.org/package/wordexp> and <
https://hackage.haskell.org/package/greenclip>.

Also, your upgrade of ghc-protolude broke the purescript build which
depends on ghc-protolude<0.2.4 so I created a secondary ghc-protolude-
0.2 package that purescript now depends on.

Think about running "$ guix refresh -l <package>" if you modify any
package to check for all its dependents and then try to build all the
dependents see if they don't break and if they do break please fix
them. That's what I did here.

I also fixed lint errors on ghc-wordexp. Think about running "$ guix
lint <package>" on any package you are adding or altering before
submitting.

Thank you!

--=-WpNiIgXYh7P9XI3BFMOO
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEFIvLi9gL+xax3g6RRaix6GvNEKYFAmA2Yl8ACgkQRaix6GvN
EKY2Zw//fBZ+gvAJiZ2yZc+kcazXUQm1WKhuxVNtBxZCEc1tIzub2aZNTq4NPDiB
03XEAEJlbkqa9UTKwZae67ss+basCHJ4/RZdyQK4NcgAdELusshsDfjZUIuB7D7t
pF+qMTywba2L+6T2cOitPFGyP9me42q29ZOc49qxEo5jouT11XPcGPbt93zBBYwq
XPCV3l04CJ2cK+48mKDC1lBHUwZjhvlX76HNQtJC+BQh2ckPtWmGTaETkYK8GaAq
ffo2dT1JxHZjotloYntFaEkbVOWwfl/ScU00M/asyz7Y72ikPMKR88C4DGBMmcG2
gGa9bQxvBnVVHI8dTs4uSiDAOht2BUTgg3Z+FgMKCZ7ysCqkB84T19wxIjVbla7a
5terskX5wVktGSMXSgm6OrK3Mcs1h9TVP1njXvKwW2+LWYTHDeO8RmG59MV4BtET
781PorDtyqz7IFgS0NeMq3Wjy/O7pH7yXF+oUZ9B0K7dg34bXggJnb07LpcPQP+O
ys96pKDV9xfGgSFWDe/Yt3Cbc7CaayBHOxaFAc0ODE1H/K+FR4lX+UwwfB5Qzs5T
p7BvL2tga6amMm8sHFSh7VqnvHz+YROiSnf7OIbDDQS8nIi+/8ACWJGsUhArOOSn
gSYudVmqfszEaj1Ty7bFX1MFULASgjotinrYju2TVeThiBG8eXA=
=QsML
-----END PGP SIGNATURE-----

--=-WpNiIgXYh7P9XI3BFMOO--





Notification sent to Stefan Reichör <stefan@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Léo Le Bouter <lle-bout@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 46643-done <at> debbugs.gnu.org:


Received: (at 46643-done) by debbugs.gnu.org; 24 Feb 2021 14:27:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 24 09:27:58 2021
Received: from localhost ([127.0.0.1]:33947 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lEv8w-0005Nz-Av
	for submit <at> debbugs.gnu.org; Wed, 24 Feb 2021 09:27:58 -0500
Received: from mail.zaclys.net ([178.33.93.72]:44999)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lle-bout@HIDDEN>) id 1lEv8t-0005NX-3E
 for 46643-done <at> debbugs.gnu.org; Wed, 24 Feb 2021 09:27:56 -0500
Received: from guix-xps.local (37-169-50-198.coucou-networks.fr
 [37.169.50.198] (may be forged)) (authenticated bits=0)
 by mail.zaclys.net (8.14.7/8.14.7) with ESMTP id 11OERlOd016099
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NO)
 for <46643-done <at> debbugs.gnu.org>; Wed, 24 Feb 2021 15:27:48 +0100
DMARC-Filter: OpenDMARC Filter v1.3.2 mail.zaclys.net 11OERlOd016099
Authentication-Results: mail.zaclys.net;
 dmarc=fail (p=reject dis=none) header.from=zaclys.net
Authentication-Results: mail.zaclys.net;
 spf=fail smtp.mailfrom=lle-bout@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=zaclys.net;
 s=default; t=1614176868;
 bh=nlV+Ijw3IhbpLsUR/QNbeO94fPpem0PIeXF9JTVCTpM=;
 h=Subject:From:To:Date:From;
 b=c1dMphCPdWVMvirLp+ksJxrBvfpI8/CxbW3ujEKZYrAMt1rJI6MDfJ1oz3BV83j/6
 PmVsG14y21fa6kfnsm3l6YdgEWDYx6ghGVAT5pfpnTu12OQDup70jLNOve2LeGZf6Q
 6DZNV9Nes+KCkT2mkNdJoyNlqSkluLk2UFRoQTKc=
Message-ID: <1fb2ba44f701f4bf10876deb73a3d45cb4b53e9b.camel@HIDDEN>
Subject: 
From: =?ISO-8859-1?Q?L=E9o?= Le Bouter <lle-bout@HIDDEN>
To: 46643-done <at> debbugs.gnu.org
Date: Wed, 24 Feb 2021 15:27:43 +0100
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-WpNiIgXYh7P9XI3BFMOO"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Pushed all patches in
 a1386815503036773a1092554f36d45dd9361efe.
 It seems the licenses for ghc-wordexp and greenclip is BSD-3-Clause from
 <https://hackage.haskell.org/package/wordexp> and <
 https://hackage.haskell.org/package/greenclip>.
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 BLANK_SUBJECT          Subject is present but empty
X-Debbugs-Envelope-To: 46643-done
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)


--=-WpNiIgXYh7P9XI3BFMOO
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Pushed all patches in a1386815503036773a1092554f36d45dd9361efe.

It seems the licenses for ghc-wordexp and greenclip is BSD-3-Clause
from <https://hackage.haskell.org/package/wordexp> and <
https://hackage.haskell.org/package/greenclip>.

Also, your upgrade of ghc-protolude broke the purescript build which
depends on ghc-protolude<0.2.4 so I created a secondary ghc-protolude-
0.2 package that purescript now depends on.

Think about running "$ guix refresh -l <package>" if you modify any
package to check for all its dependents and then try to build all the
dependents see if they don't break and if they do break please fix
them. That's what I did here.

I also fixed lint errors on ghc-wordexp. Think about running "$ guix
lint <package>" on any package you are adding or altering before
submitting.

Thank you!

--=-WpNiIgXYh7P9XI3BFMOO
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEFIvLi9gL+xax3g6RRaix6GvNEKYFAmA2Yl8ACgkQRaix6GvN
EKY2Zw//fBZ+gvAJiZ2yZc+kcazXUQm1WKhuxVNtBxZCEc1tIzub2aZNTq4NPDiB
03XEAEJlbkqa9UTKwZae67ss+basCHJ4/RZdyQK4NcgAdELusshsDfjZUIuB7D7t
pF+qMTywba2L+6T2cOitPFGyP9me42q29ZOc49qxEo5jouT11XPcGPbt93zBBYwq
XPCV3l04CJ2cK+48mKDC1lBHUwZjhvlX76HNQtJC+BQh2ckPtWmGTaETkYK8GaAq
ffo2dT1JxHZjotloYntFaEkbVOWwfl/ScU00M/asyz7Y72ikPMKR88C4DGBMmcG2
gGa9bQxvBnVVHI8dTs4uSiDAOht2BUTgg3Z+FgMKCZ7ysCqkB84T19wxIjVbla7a
5terskX5wVktGSMXSgm6OrK3Mcs1h9TVP1njXvKwW2+LWYTHDeO8RmG59MV4BtET
781PorDtyqz7IFgS0NeMq3Wjy/O7pH7yXF+oUZ9B0K7dg34bXggJnb07LpcPQP+O
ys96pKDV9xfGgSFWDe/Yt3Cbc7CaayBHOxaFAc0ODE1H/K+FR4lX+UwwfB5Qzs5T
p7BvL2tga6amMm8sHFSh7VqnvHz+YROiSnf7OIbDDQS8nIi+/8ACWJGsUhArOOSn
gSYudVmqfszEaj1Ty7bFX1MFULASgjotinrYju2TVeThiBG8eXA=
=QsML
-----END PGP SIGNATURE-----

--=-WpNiIgXYh7P9XI3BFMOO--





Notification sent to Stefan Reichör <stefan@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Léo Le Bouter <lle-bout@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 46643-done <at> debbugs.gnu.org:


Received: (at 46643-done) by debbugs.gnu.org; 24 Feb 2021 14:27:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 24 09:27:58 2021
Received: from localhost ([127.0.0.1]:33947 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lEv8w-0005Nz-Av
	for submit <at> debbugs.gnu.org; Wed, 24 Feb 2021 09:27:58 -0500
Received: from mail.zaclys.net ([178.33.93.72]:44999)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lle-bout@HIDDEN>) id 1lEv8t-0005NX-3E
 for 46643-done <at> debbugs.gnu.org; Wed, 24 Feb 2021 09:27:56 -0500
Received: from guix-xps.local (37-169-50-198.coucou-networks.fr
 [37.169.50.198] (may be forged)) (authenticated bits=0)
 by mail.zaclys.net (8.14.7/8.14.7) with ESMTP id 11OERlOd016099
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NO)
 for <46643-done <at> debbugs.gnu.org>; Wed, 24 Feb 2021 15:27:48 +0100
DMARC-Filter: OpenDMARC Filter v1.3.2 mail.zaclys.net 11OERlOd016099
Authentication-Results: mail.zaclys.net;
 dmarc=fail (p=reject dis=none) header.from=zaclys.net
Authentication-Results: mail.zaclys.net;
 spf=fail smtp.mailfrom=lle-bout@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=zaclys.net;
 s=default; t=1614176868;
 bh=nlV+Ijw3IhbpLsUR/QNbeO94fPpem0PIeXF9JTVCTpM=;
 h=Subject:From:To:Date:From;
 b=c1dMphCPdWVMvirLp+ksJxrBvfpI8/CxbW3ujEKZYrAMt1rJI6MDfJ1oz3BV83j/6
 PmVsG14y21fa6kfnsm3l6YdgEWDYx6ghGVAT5pfpnTu12OQDup70jLNOve2LeGZf6Q
 6DZNV9Nes+KCkT2mkNdJoyNlqSkluLk2UFRoQTKc=
Message-ID: <1fb2ba44f701f4bf10876deb73a3d45cb4b53e9b.camel@HIDDEN>
Subject: 
From: =?ISO-8859-1?Q?L=E9o?= Le Bouter <lle-bout@HIDDEN>
To: 46643-done <at> debbugs.gnu.org
Date: Wed, 24 Feb 2021 15:27:43 +0100
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-WpNiIgXYh7P9XI3BFMOO"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Pushed all patches in
 a1386815503036773a1092554f36d45dd9361efe.
 It seems the licenses for ghc-wordexp and greenclip is BSD-3-Clause from
 <https://hackage.haskell.org/package/wordexp> and <
 https://hackage.haskell.org/package/greenclip>.
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 BLANK_SUBJECT          Subject is present but empty
X-Debbugs-Envelope-To: 46643-done
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)


--=-WpNiIgXYh7P9XI3BFMOO
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Pushed all patches in a1386815503036773a1092554f36d45dd9361efe.

It seems the licenses for ghc-wordexp and greenclip is BSD-3-Clause
from <https://hackage.haskell.org/package/wordexp> and <
https://hackage.haskell.org/package/greenclip>.

Also, your upgrade of ghc-protolude broke the purescript build which
depends on ghc-protolude<0.2.4 so I created a secondary ghc-protolude-
0.2 package that purescript now depends on.

Think about running "$ guix refresh -l <package>" if you modify any
package to check for all its dependents and then try to build all the
dependents see if they don't break and if they do break please fix
them. That's what I did here.

I also fixed lint errors on ghc-wordexp. Think about running "$ guix
lint <package>" on any package you are adding or altering before
submitting.

Thank you!

--=-WpNiIgXYh7P9XI3BFMOO
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEFIvLi9gL+xax3g6RRaix6GvNEKYFAmA2Yl8ACgkQRaix6GvN
EKY2Zw//fBZ+gvAJiZ2yZc+kcazXUQm1WKhuxVNtBxZCEc1tIzub2aZNTq4NPDiB
03XEAEJlbkqa9UTKwZae67ss+basCHJ4/RZdyQK4NcgAdELusshsDfjZUIuB7D7t
pF+qMTywba2L+6T2cOitPFGyP9me42q29ZOc49qxEo5jouT11XPcGPbt93zBBYwq
XPCV3l04CJ2cK+48mKDC1lBHUwZjhvlX76HNQtJC+BQh2ckPtWmGTaETkYK8GaAq
ffo2dT1JxHZjotloYntFaEkbVOWwfl/ScU00M/asyz7Y72ikPMKR88C4DGBMmcG2
gGa9bQxvBnVVHI8dTs4uSiDAOht2BUTgg3Z+FgMKCZ7ysCqkB84T19wxIjVbla7a
5terskX5wVktGSMXSgm6OrK3Mcs1h9TVP1njXvKwW2+LWYTHDeO8RmG59MV4BtET
781PorDtyqz7IFgS0NeMq3Wjy/O7pH7yXF+oUZ9B0K7dg34bXggJnb07LpcPQP+O
ys96pKDV9xfGgSFWDe/Yt3Cbc7CaayBHOxaFAc0ODE1H/K+FR4lX+UwwfB5Qzs5T
p7BvL2tga6amMm8sHFSh7VqnvHz+YROiSnf7OIbDDQS8nIi+/8ACWJGsUhArOOSn
gSYudVmqfszEaj1Ty7bFX1MFULASgjotinrYju2TVeThiBG8eXA=
=QsML
-----END PGP SIGNATURE-----

--=-WpNiIgXYh7P9XI3BFMOO--





Notification sent to Stefan Reichör <stefan@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Léo Le Bouter <lle-bout@HIDDEN>:
You have taken responsibility. Full text available.
Merged 46643 46644 46645. Request was from Léo Le Bouter <lle-bout@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Feb 2021 20:04:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 19 15:04:54 2021
Received: from localhost ([127.0.0.1]:50447 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDC1G-00053x-EY
	for submit <at> debbugs.gnu.org; Fri, 19 Feb 2021 15:04:54 -0500
Received: from lists.gnu.org ([209.51.188.17]:45670)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefan@HIDDEN>) id 1lDC1D-00053i-Jg
 for submit <at> debbugs.gnu.org; Fri, 19 Feb 2021 15:04:52 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:49984)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <stefan@HIDDEN>) id 1lDC1D-0003UJ-F1
 for guix-patches@HIDDEN; Fri, 19 Feb 2021 15:04:51 -0500
Received: from dd3624.kasserver.com ([85.13.130.11]:54714)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <stefan@HIDDEN>) id 1lDC1A-0004H4-5T
 for guix-patches@HIDDEN; Fri, 19 Feb 2021 15:04:51 -0500
Received: from localhost (37-186-9-252.ip.as39912.net [37.186.9.252])
 by dd3624.kasserver.com (Postfix) with ESMTPA id 05BDB5D405B0;
 Fri, 19 Feb 2021 21:04:42 +0100 (CET)
From: =?UTF-8?q?Stefan=20Reich=C3=B6r?= <stefan@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 1/3] gnu: ghc-protolude: Update to 0.3.0.
Date: Fri, 19 Feb 2021 21:04:25 +0100
Message-Id: <20210219200427.105200-1-stefan@HIDDEN>
X-Mailer: git-send-email 2.25.1
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
Received-SPF: none client-ip=85.13.130.11; envelope-from=stefan@HIDDEN;
 helo=dd3624.kasserver.com
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_LOW=-0.7,
 SPF_HELO_NONE=0.001, SPF_NONE=0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
Cc: =?UTF-8?q?Stefan=20Reich=C3=B6r?= <stefan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/haskell-xyz.scm (ghc-protolude): Update to 0.3.0.
---
 gnu/packages/haskell-xyz.scm | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/haskell-xyz.scm b/gnu/packages/haskell-xyz.scm
index d6c50ade71..f1709e342a 100644
--- a/gnu/packages/haskell-xyz.scm
+++ b/gnu/packages/haskell-xyz.scm
@@ -28,6 +28,7 @@
 ;;; Copyright © 2020 Alexandru-Sergiu Marton <brown121407@HIDDEN>
 ;;; Copyright © 2020 Carlo Holl <carloholl@HIDDEN>
 ;;; Copyright © 2020 Christopher Lemmer Webber <cwebber@HIDDEN>
+;;; Copyright © 2021 Stefan Reichör <stefan@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -10535,7 +10536,7 @@ the ideal templating system.")
 (define-public ghc-protolude
   (package
     (name "ghc-protolude")
-    (version "0.2.3")
+    (version "0.3.0")
     (source
      (origin
        (method url-fetch)
@@ -10545,7 +10546,7 @@ the ideal templating system.")
              ".tar.gz"))
        (sha256
         (base32
-         "0zzkyxz0vmcbncpid7gp72fpjj0fla3gqhlfkij5c5lg12skjgfj"))))
+         "1b6wprbwfdjyvds2bm6na0fbqgzdkj5ikkk33whbkyh3krd3i0s0"))))
     (build-system haskell-build-system)
     (inputs
      `(("ghc-async" ,ghc-async)
-- 
2.25.1





Acknowledgement sent to Stefan Reichör <stefan@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#46643; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 24 Feb 2021 17:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.